Keywords and GEO
Get the GEO citations timeline
Daily number of completed AI answers mentioning the site, for the completed analyses created in the inclusive start..end range (at most the configured maximum, 486 days by default; end at most today in UTC). Days without a completed analysis are absent. Read as the Sorank dashboard shows it to the same user. Does not trigger a new analysis or consume GEO quota.
GET
/
profiles
/
{profile_id}
/
geo
/
citations-timeline
Error
A valid request URL is required to generate request examples{
"data": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"points": [
{
"date": "2023-12-25",
"citations": 123
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
Query Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"points": [
{
"date": "2023-12-25",
"citations": 123
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
